Package com.smartgwt.client.util.workflow

# Class ProcessFailure

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.workflow.ProcessFailure

All Implemented Interfaces:
  `HasHandlers`

public class ProcessFailure extends DataClass
Shape of the infrastructure-failure record delivered to `Process.failed()` and (for CoTProcess) via the async operation's failure result. Recoverable, schema-conformant errors do NOT use this type; they live inside the Process's successful output (see `ProcessIO`).

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessFailure()`
  `ProcessFailure(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getCause()`
  Optional underlying exception or nested failure.
  `String`
  `getCode()`
  Short symbolic identifier.
  `Map[]`
  `getErrors()`
  Optional list of field-level validation errors, populated for `inputValidation`/`outputValidation`.
  `String`
  `getMessage()`
  Human-readable description.
  `static ProcessFailure`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ProcessFailure`
  `setCause(Object cause)`
  Optional underlying exception or nested failure.
  `ProcessFailure`
  `setCode(String code)`
  Short symbolic identifier.
  `ProcessFailure`
  `setErrors(Map... errors)`
  Optional list of field-level validation errors, populated for `inputValidation`/`outputValidation`.
  `ProcessFailure`
  `setMessage(String message)`
  Human-readable description.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessFailure

    public ProcessFailure()

  - ### ProcessFailure

    public ProcessFailure(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ProcessFailure getOrCreateRef(JavaScriptObject jsObj)

  - ### setCause

    public ProcessFailure setCause(Object cause)
    Optional underlying exception or nested failure.
    Parameters:
      `cause` - New cause value. Default value is null
    Returns:
      `ProcessFailure` instance, for chaining setter calls

  - ### getCause

    public Object getCause()
    Optional underlying exception or nested failure.
    Returns:
      Current cause value. Default value is null

  - ### setCode

    public ProcessFailure setCode(String code)
    Short symbolic identifier. Built-in values: `"inputValidation"`, `"outputValidation"`, `"aiUnavailable"`, `"internalError"`, `"cancelled"`, `"reentry"`, `"timeout"`. Applications may add their own.
    Parameters:
      `code` - New code value. Default value is null
    Returns:
      `ProcessFailure` instance, for chaining setter calls

  - ### getCode

    public String getCode()
    Short symbolic identifier. Built-in values: `"inputValidation"`, `"outputValidation"`, `"aiUnavailable"`, `"internalError"`, `"cancelled"`, `"reentry"`, `"timeout"`. Applications may add their own.
    Returns:
      Current code value. Default value is null

  - ### setErrors

    public ProcessFailure setErrors(Map... errors)
    Optional list of field-level validation errors, populated for `inputValidation`/`outputValidation`.
    Parameters:
      `errors` - New errors value. Default value is null
    Returns:
      `ProcessFailure` instance, for chaining setter calls

  - ### getErrors

    public Map[] getErrors()
    Optional list of field-level validation errors, populated for `inputValidation`/`outputValidation`.
    Returns:
      Current errors value. Default value is null

  - ### setMessage

    public ProcessFailure setMessage(String message)
    Human-readable description.
    Parameters:
      `message` - New message value. Default value is null
    Returns:
      `ProcessFailure` instance, for chaining setter calls

  - ### getMessage

    public String getMessage()
    Human-readable description.
    Returns:
      Current message value. Default value is null